webdevqa.jp.net

Android SDKインストール。エラー:要素「d:skin」で始まる無効なコンテンツが見つかりました。この時点で子要素は必要ありません

Linux Ubuntu 14.04でEclipseとAndroid sdk環境をセットアップしています。正確に this チュートリアルに従っています。 「この時点では子要素は必要ありません」

何をする必要がありますか?

私はLinuxを初めて使用します。はい、これに対する答えをすでに調べましたが、見つけた答えは必要なものと正確に一致していないようです。私は新しいユーザーなので、これを理解できません自分で。

21

解決策は、パッケージを削除することですAndroid Wear ARM EABI v7aシステムイメージAndroid 5.1.1(API 22)この問題を解決します。

リファレンス- Eclipseの起動時にSDKの読み込みエラー

30
Amrit Pal Singh

Android SDK Managerを開いて削除しますbothAndroid Wear ARM EABI v7aシステムイメージおよびAndroi Wear Intel x86 Atom SystemImage under Android 5.1.1(API 22)

それは私のために働いた。

2
Malith

Eclipseからd:skin element.open XMLファイルにコメントを提供し、sysntaxを使用してコメントを付けることで、この問題を解決しました。

XMLファイルはシステムイメージパッケージ(Android wear/armeabi-v7aおよびx86)に保存されます

XMLファイルを削除する代わりに、より良いオプションです。

1
user5032855

SDKマネージャーからAndroid Wearパッケージを削除し、Eclipseを再起動します

パッケージ(i)Android Wear ARM EABI v7aシステムイメージ(5.1 API 22)(ii)Android Intel x86を着用Atom System Image(5.1 API 22)

1

以下のパスから「Android Wear」フォルダーを削除します。

C:\Users\amreen.s(your user folder name)\AppData\Local\Android\sdk\system-images\Android-22
0
Amreen

/home/user/Android-sdk/tools/lib/devices.xmlからデフォルトのdevices.xmlファイルをコピーします

以下のパスに貼り付けます:/ Android-sdk/system-images/Android-22/Android-wear/armeabi-v7a /および/ Android-sdk/system-images/Android-22/Android-wear/x86 /

これは代替ソリューションですが、devices.xmlを置き換える前に、これらのフォルダー内の既存のdevices.xmlファイルのバックアップを取ります。

0
User123456